#!/bin/sh

# Clean up old build dir (if any)

umount build/proc
umount build/dev/pts
umount build/sys

rm -rf build

# Populate build dir with tools and source, copy script, chroot to run script.

mkdir build &&
tar xvzpfC tools.tar.gz build &&
tar xvzpfC sources.tar.gz build &&
cp make-chroot.sh build &&
chroot build /tools/bin/env -i HOME=/root TERM=$TERM PS1='\u:\w\$ ' PATH=/bin:/usr/bin:/sbin:/usr/sbin:/tools/bin /make-chroot.sh &&
echo "End of build"
